package siprp.update.updates;

import com.evolute.utils.Singleton;
import com.evolute.utils.db.DBManager;
import com.evolute.utils.db.Executer;

/**
 *
 * @author fpalma
 */
public class V9_2_To_V9_3
		implements siprp.update.Update
{
	
	public V9_2_To_V9_3()
	{
	}
	
	public String []listChanges()
	{
		return new String[]{
		                    "Adicionados campos ao relatorio"
		                    };
	}
	
	public double getStartVersion()
	{
		return 9.2;
	}
	
	public double getEndVersion()
	{
		return 9.3;
	}
	
	public void doUpdate()
		throws Exception
	{
		DBManager dbm = ( DBManager ) Singleton.getInstance( Singleton.DEFAULT_DBMANAGER );
		Executer executer = dbm.getSharedExecuter();
		com.evolute.utils.sql.Update update = 
			new com.evolute.utils.sql.Update(
					"alter table hs_relatorio_medida drop column severidade;" +
					"alter table hs_relatorio_medida drop column probabilidade;" +
					"alter table hs_relatorio_medida drop column classificacao_id;" +
					"drop table hs_medida_classificacao;" +
					"alter table hs_relatorio add column marcacao_id int4 REFERENCES marcacoes_estabelecimento;" +
					"alter table hs_relatorio add column is_submetido timestamp;" +
					"alter table hs_relatorio_risco add column probabilidade int4;" +
					"alter table hs_relatorio_risco add column severidade int4;" +
					"create table hs_relatorio_risco_valor_qualitativo" +
					"(" +
					"	id serial PRIMARY KEY," +
					"	description varchar(64)" +
					");" +
					"alter table hs_relatorio_risco add column valor_qualitativo_id int4 REFERENCES hs_relatorio_risco_valor_qualitativo;" +
					"alter table hs_relatorio_risco add column is_plano_actuacao char(1);"
		);
		executer.executeQuery( update );
	}
	
	public String toString()
	{
		return "v" + getStartVersion() + " para v" + getEndVersion();
	}
}
